Bug 653163 - RFE: Sort base and child channels in satellite-sync listing
Summary: RFE: Sort base and child channels in satellite-sync listing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization
Version: 540
Hardware: All
OS: All
low
low
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Šimon Lukašík
URL:
Whiteboard:
Depends On:
Blocks: 462714
TreeView+ depends on / blocked
 
Reported: 2010-11-14 19:52 UTC by Greg Bock
Modified: 2011-02-01 16:16 UTC (History)
4 users (show)

Fixed In Version: spacewalk-backend-1.2.13-22
Doc Type: Enhancement
Doc Text:
Cause: Consequence: Fix: Result:
Clone Of:
Environment:
Last Closed: 2011-02-01 16:16:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
channel-sort.patch (863 bytes, patch)
2010-11-14 19:52 UTC, Greg Bock
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0190 normal SHIPPED_LIVE Red Hat Network Satellite bug fix update 2011-02-01 16:15:56 UTC

Description Greg Bock 2010-11-14 19:52:42 UTC
Created attachment 460402 [details]
channel-sort.patch

Basic sort for base and child channels in satellite-sync listing for readability. Patch attached.

Comment 1 Clifford Perry 2010-11-16 20:30:04 UTC
Hi - Can you please propose patch to spacewalk-devel mailing list. 

Regards,
Cliff.

Comment 2 Miroslav Suchý 2010-11-18 10:09:10 UTC
I extend it to sort of all occurrence of channels in output of satellite-sync.

Commited to spacewalk.git as commit 
12b73eb4e525b33f84ec2cc270959a7fb3b1b9ec

Comment 4 Miroslav Suchý 2010-11-24 09:55:43 UTC
Tomas you are correct. There is typo. Fixed in commit eec5a8be2d9a1877fe0a978bb8504f28ddd03cde

Comment 5 Miroslav Suchý 2010-12-16 17:42:12 UTC
cherrypicked so satellite.git as commits:
cc93e5eb3415e59dda78423f56794d8d4ae73fb7
b32cbc2bad4b7b6db6c05352bd64bf64b3cf4c0a

Comment 6 Miroslav Suchý 2010-12-20 10:52:03 UTC
one more commit ec7c3391503e8f2d00f3ecc81076c3a11645252c
cherrypicked so satellite.git as commit: 5020165d410f4f46ffe516a82bdff6ae1271f292

Comment 7 Šimon Lukašík 2010-12-20 11:36:42 UTC
Changing to VERIFIED:

The output of satellite-sync --list is now sorted lexically.

Comment 8 Florian Nadge 2011-01-27 11:27:02 UTC
Please be so kind and add a few key words to the technical note of this
Bugzilla entry using the following structure:

Cause:

Consequence:

Fix:

Result:


For details, see:
https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks

Comment 9 Florian Nadge 2011-01-27 11:27:02 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

Consequence:

Fix:

Result:

Comment 10 Miroslav Suchý 2011-01-27 12:11:44 UTC
There is already nice text in errata.

Comment 11 errata-xmlrpc 2011-02-01 16:16:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0190.html


Note You need to log in before you can comment on or make changes to this bug.